Uploaded image for project: 'Coopr'
  1. Coopr
  2. COOPR-842

ubuntu provisions failing due to API Access

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: provisioner
    • Labels:
      None
    • Rank:
      1|i00daf:

      Description

      Ubuntu provisions are failing due to the below error.

      ERROR: Unexpected Error Occurred in FogProviderGoogle.create: #<Fog::Errors::Error: Access Not Configured. Compute Engine API has not been used in project 255964991331 before or it is disabled. Enable it by visiting https://console.developers.google.com/apis/api/compute.googleapis.com/overview?project=255964991331 then retry. If you enabled this API recently, wait a few minutes for the action to propagate to our systems and retry.>
       

      It appears to be related to the `google-containers` project.  The likely fix is to upgrade fog.  A terrible potential workaround is to reorder https://github.com/fog/fog/blob/v1.26.0/lib/fog/google/models/compute/images.rb#L17 so that google-containers is last

       

        Attachments

          Activity

            People

            • Assignee:
              nitin Nitin Motgi
              Reporter:
              derek Derek Wood
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: